<?php

function execute ($cmd)
{
    $result = "";

    $f = popen ("$cmd", 'r');
    while (($line = fgets ($f, 512)))
    {
        $result .= $line;
    }
    pclose ($f);

    return (trim ($result));
}

// Get the package version
$pkgVersion = execute ("dpkg -l icomposer 2>/dev/null | grep icomposer | sed -r 's/[\\t ]+/ /g' | cut -d' ' -f3");
if (strlen ($pkgVersion) < 1)
    $pkgVersion = 'UNKNOWN';

$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');
$upload = Zend_Registry::getInstance()->get('Config_Ini_Upload');

$maxFileSize = isset($upload->max_size) ? $upload->max_size : 0;

$this->headScript()->appendScript($this->variables);
$this->headScript()->appendScript("
window.onunload = refreshParent;
function refreshParent() {
    window.opener.refreshListboxes ();
}");

$strAdd     = $translator->translate ('Add');
$strUpload  = $translator->translate ('Upload');
$strClean   = $translator->translate ('Clean');
$strClose   = $translator->translate ('Close');

$helpAdd    = $translator->translate ('Add a file to the list');
$helpAdds   = $translator->translate ('Add files to the list');
$helpUpload = $translator->translate ('Send listed file to the server');
$helpClean  = $translator->translate ('Clean the list');
$helpClose  = $translator->translate ('Close this upload window');

$this->headScript()->appendFile ('/js/uploadBasic.js');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang=fr" lang="fr">

  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>.: iPreso - <?echo $translator->translate('Composer')?> :.</title>
    <link rel="icon" type="image/png" href="<?php echo $this->baseUrl ();?>/favicon.png" />
    <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseUrl ();?>/css/base.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseUrl ();?>/css/upload.css" />
<?echo $this->headStyle(); ?>
<?echo $this->headLink(); ?>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/mootools-1.2.5-core-nc.js"></script>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/mootools-1.2.5.1-more.js"></script>
<?echo $this->headScript(); ?>
    <base target="_self" />
  </head>
  <body>

  <div id="main">
    <div id="container">
      <div id="header">
        <a href="http://www.ipreso.com"><img src="/images/logo_flat.png" width="120px" height="60px" alt="iPreso" /></a>
        <p style="clear:both;position: absolute;top:50px;margin-left:25px;text-shadow : rgb(255,255,255) 1px 1px 1px;">
            <?echo Zend_Registry::getInstance ()->get ('Zend_Translate')->translate('show yourself')?>
        </p>
      </div>
    </div>
    <div id="bottom"></div>
  </div>
  <div id="content">
    <div id="uploadBox"><?echo $translator->translate ("HTML Uploader");?>
        <div id="uploadList">
        </div>
        <div id="uploadButtons">
            <span  id="fileAdd">
                <a class="upAdd">
                    <span id="uploadBAdd" class="upButton">
                    <?echo $strAdd;?>
                    </span>
                </a>
                <span class="fileInput">
                    <input type="file" name="newfile" id="newfile" />
                </span>
                <div class="hiddenDiv">
                    <span id="label-average-speed"><?echo $translator->translate ("Average speed: ");?></span>
                    <span id="label-eta"><?echo $translator->translate ("ETA: ");?></span>
                    <span id="label-file-too-big"><?echo $translator->translate ("File is too big: ");?></span>
                    <form id="uploadForm"
                        action="/Catalog/handlefileupload"
                        method="post"
                        data-max-size="<?echo $maxFileSize;?>"
                        enctype="multipart/form-data"></form>
                </div>
            </span>

            <span id="filesUpload">
                <a id="uploadBUp" class="upUp">
                    <span id="uploadBUp" class="upButton">
                    <?echo $strUpload;?>
                    </span>
                </a>
            </span>
            <span id="closeBox">
                <a class="upClose" id="uploadBClose">
                    <span class="upButton">
                    <?echo $strClose;?>
                    </span>
                </a>
            </span>
            <span id="filesClean">
                <a class="upClean" id="uploadBClean">
                    <span class="upButton">
                    <?echo $strClean;?>
                    </span>
                </a>
            </span>
        </div>
        <div style="clear: both;"></div>
    </div>
    <p>
        <ul>
            <li><?echo $strAdd.": ".$helpAdd; ?></li>
            <li><?echo $strUpload.": ".$helpUpload; ?></li>
            <li><?echo $strClean.": ".$helpClean; ?></li>
            <li><?echo $strClose.": ".$helpClose; ?></li>
        </ul>
    </p>
    </div>
    <div style="text-align: center; padding: 3px; font-size: 0.8em;">iPreso Composer Version <?echo $pkgVersion ;?>
    </div>
  </body>
</html>
